# Struct kawaii::gpio::AsyncPort [−] [src]

    pub struct AsyncPort {
        pub port: Port,
        pub edge: Edge,
        // some fields omitted
    }

## Fields

`port: Port` `edge: Edge`

## Methods

### `impl AsyncPort`
[src]

#### `fn new(number: u8, edge: Edge) -> Result<AsyncPort>`

Constructs a new asynchronous GPIO `Port`.

# Parameter

- `number` GPIO Port number of pin.
- `edge` GPIO Port edge detection setting.

#### `fn poll(&mut self, timeout: Option<Duration>) -> Result<Option<Value>>`

Read asynchronous from GPIO `AsyncPort` sysfs file

#### `fn poll_measure(
&mut self,
timeout: Option<Duration>,
measure: &mut Measure
) -> Result<Option<Value>>`

Read asynchronous from GPIO `AsyncPort` sysfs file with measure support (ignore poll time)

## Trait Implementations

### `impl Debug for AsyncPort`
[src]

#### `fn fmt(&self, f: &mut Formatter) -> Result`

Formats the value using the given formatter.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)